import { createAggregatedClient } from "@smithy/smithy-client";
import { BatchCreateCustomVocabularyItemCommand, } from "./commands/BatchCreateCustomVocabularyItemCommand";
import { BatchDeleteCustomVocabularyItemCommand, } from "./commands/BatchDeleteCustomVocabularyItemCommand";
import { BatchUpdateCustomVocabularyItemCommand, } from "./commands/BatchUpdateCustomVocabularyItemCommand";
import { BuildBotLocaleCommand, } from "./commands/BuildBotLocaleCommand";
import { CreateBotAliasCommand, } from "./commands/CreateBotAliasCommand";
import { CreateBotCommand } from "./commands/CreateBotCommand";
import { CreateBotLocaleCommand, } from "./commands/CreateBotLocaleCommand";
import { CreateBotReplicaCommand, } from "./commands/CreateBotReplicaCommand";
import { CreateBotVersionCommand, } from "./commands/CreateBotVersionCommand";
import { CreateExportCommand, } from "./commands/CreateExportCommand";
import { CreateIntentCommand, } from "./commands/CreateIntentCommand";
import { CreateResourcePolicyCommand, } from "./commands/CreateResourcePolicyCommand";
import { CreateResourcePolicyStatementCommand, } from "./commands/CreateResourcePolicyStatementCommand";
import { CreateSlotCommand } from "./commands/CreateSlotCommand";
import { CreateSlotTypeCommand, } from "./commands/CreateSlotTypeCommand";
import { CreateTestSetDiscrepancyReportCommand, } from "./commands/CreateTestSetDiscrepancyReportCommand";
import { CreateUploadUrlCommand, } from "./commands/CreateUploadUrlCommand";
import { DeleteBotAliasCommand, } from "./commands/DeleteBotAliasCommand";
import { DeleteBotCommand } from "./commands/DeleteBotCommand";
import { DeleteBotLocaleCommand, } from "./commands/DeleteBotLocaleCommand";
import { DeleteBotReplicaCommand, } from "./commands/DeleteBotReplicaCommand";
import { DeleteBotVersionCommand, } from "./commands/DeleteBotVersionCommand";
import { DeleteCustomVocabularyCommand, } from "./commands/DeleteCustomVocabularyCommand";
import { DeleteExportCommand, } from "./commands/DeleteExportCommand";
import { DeleteImportCommand, } from "./commands/DeleteImportCommand";
import { DeleteIntentCommand, } from "./commands/DeleteIntentCommand";
import { DeleteResourcePolicyCommand, } from "./commands/DeleteResourcePolicyCommand";
import { DeleteResourcePolicyStatementCommand, } from "./commands/DeleteResourcePolicyStatementCommand";
import { DeleteSlotCommand } from "./commands/DeleteSlotCommand";
import { DeleteSlotTypeCommand, } from "./commands/DeleteSlotTypeCommand";
import { DeleteTestSetCommand, } from "./commands/DeleteTestSetCommand";
import { DeleteUtterancesCommand, } from "./commands/DeleteUtterancesCommand";
import { DescribeBotAliasCommand, } from "./commands/DescribeBotAliasCommand";
import { DescribeBotCommand } from "./commands/DescribeBotCommand";
import { DescribeBotLocaleCommand, } from "./commands/DescribeBotLocaleCommand";
import { DescribeBotRecommendationCommand, } from "./commands/DescribeBotRecommendationCommand";
import { DescribeBotReplicaCommand, } from "./commands/DescribeBotReplicaCommand";
import { DescribeBotResourceGenerationCommand, } from "./commands/DescribeBotResourceGenerationCommand";
import { DescribeBotVersionCommand, } from "./commands/DescribeBotVersionCommand";
import { DescribeCustomVocabularyMetadataCommand, } from "./commands/DescribeCustomVocabularyMetadataCommand";
import { DescribeExportCommand, } from "./commands/DescribeExportCommand";
import { DescribeImportCommand, } from "./commands/DescribeImportCommand";
import { DescribeIntentCommand, } from "./commands/DescribeIntentCommand";
import { DescribeResourcePolicyCommand, } from "./commands/DescribeResourcePolicyCommand";
import { DescribeSlotCommand, } from "./commands/DescribeSlotCommand";
import { DescribeSlotTypeCommand, } from "./commands/DescribeSlotTypeCommand";
import { DescribeTestExecutionCommand, } from "./commands/DescribeTestExecutionCommand";
import { DescribeTestSetCommand, } from "./commands/DescribeTestSetCommand";
import { DescribeTestSetDiscrepancyReportCommand, } from "./commands/DescribeTestSetDiscrepancyReportCommand";
import { DescribeTestSetGenerationCommand, } from "./commands/DescribeTestSetGenerationCommand";
import { GenerateBotElementCommand, } from "./commands/GenerateBotElementCommand";
import { GetTestExecutionArtifactsUrlCommand, } from "./commands/GetTestExecutionArtifactsUrlCommand";
import { ListAggregatedUtterancesCommand, } from "./commands/ListAggregatedUtterancesCommand";
import { ListBotAliasesCommand, } from "./commands/ListBotAliasesCommand";
import { ListBotAliasReplicasCommand, } from "./commands/ListBotAliasReplicasCommand";
import { ListBotLocalesCommand, } from "./commands/ListBotLocalesCommand";
import { ListBotRecommendationsCommand, } from "./commands/ListBotRecommendationsCommand";
import { ListBotReplicasCommand, } from "./commands/ListBotReplicasCommand";
import { ListBotResourceGenerationsCommand, } from "./commands/ListBotResourceGenerationsCommand";
import { ListBotsCommand } from "./commands/ListBotsCommand";
import { ListBotVersionReplicasCommand, } from "./commands/ListBotVersionReplicasCommand";
import { ListBotVersionsCommand, } from "./commands/ListBotVersionsCommand";
import { ListBuiltInIntentsCommand, } from "./commands/ListBuiltInIntentsCommand";
import { ListBuiltInSlotTypesCommand, } from "./commands/ListBuiltInSlotTypesCommand";
import { ListCustomVocabularyItemsCommand, } from "./commands/ListCustomVocabularyItemsCommand";
import { ListExportsCommand } from "./commands/ListExportsCommand";
import { ListImportsCommand } from "./commands/ListImportsCommand";
import { ListIntentMetricsCommand, } from "./commands/ListIntentMetricsCommand";
import { ListIntentPathsCommand, } from "./commands/ListIntentPathsCommand";
import { ListIntentsCommand } from "./commands/ListIntentsCommand";
import { ListIntentStageMetricsCommand, } from "./commands/ListIntentStageMetricsCommand";
import { ListRecommendedIntentsCommand, } from "./commands/ListRecommendedIntentsCommand";
import { ListSessionAnalyticsDataCommand, } from "./commands/ListSessionAnalyticsDataCommand";
import { ListSessionMetricsCommand, } from "./commands/ListSessionMetricsCommand";
import { ListSlotsCommand } from "./commands/ListSlotsCommand";
import { ListSlotTypesCommand, } from "./commands/ListSlotTypesCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListTestExecutionResultItemsCommand, } from "./commands/ListTestExecutionResultItemsCommand";
import { ListTestExecutionsCommand, } from "./commands/ListTestExecutionsCommand";
import { ListTestSetRecordsCommand, } from "./commands/ListTestSetRecordsCommand";
import { ListTestSetsCommand, } from "./commands/ListTestSetsCommand";
import { ListUtteranceAnalyticsDataCommand, } from "./commands/ListUtteranceAnalyticsDataCommand";
import { ListUtteranceMetricsCommand, } from "./commands/ListUtteranceMetricsCommand";
import { SearchAssociatedTranscriptsCommand, } from "./commands/SearchAssociatedTranscriptsCommand";
import { StartBotRecommendationCommand, } from "./commands/StartBotRecommendationCommand";
import { StartBotResourceGenerationCommand, } from "./commands/StartBotResourceGenerationCommand";
import { StartImportCommand } from "./commands/StartImportCommand";
import { StartTestExecutionCommand, } from "./commands/StartTestExecutionCommand";
import { StartTestSetGenerationCommand, } from "./commands/StartTestSetGenerationCommand";
import { StopBotRecommendationCommand, } from "./commands/StopBotRecommendationCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateBotAliasCommand, } from "./commands/UpdateBotAliasCommand";
import { UpdateBotCommand } from "./commands/UpdateBotCommand";
import { UpdateBotLocaleCommand, } from "./commands/UpdateBotLocaleCommand";
import { UpdateBotRecommendationCommand, } from "./commands/UpdateBotRecommendationCommand";
import { UpdateExportCommand, } from "./commands/UpdateExportCommand";
import { UpdateIntentCommand, } from "./commands/UpdateIntentCommand";
import { UpdateResourcePolicyCommand, } from "./commands/UpdateResourcePolicyCommand";
import { UpdateSlotCommand } from "./commands/UpdateSlotCommand";
import { UpdateSlotTypeCommand, } from "./commands/UpdateSlotTypeCommand";
import { UpdateTestSetCommand, } from "./commands/UpdateTestSetCommand";
import { LexModelsV2Client } from "./LexModelsV2Client";
const commands = {
    BatchCreateCustomVocabularyItemCommand,
    BatchDeleteCustomVocabularyItemCommand,
    BatchUpdateCustomVocabularyItemCommand,
    BuildBotLocaleCommand,
    CreateBotCommand,
    CreateBotAliasCommand,
    CreateBotLocaleCommand,
    CreateBotReplicaCommand,
    CreateBotVersionCommand,
    CreateExportCommand,
    CreateIntentCommand,
    CreateResourcePolicyCommand,
    CreateResourcePolicyStatementCommand,
    CreateSlotCommand,
    CreateSlotTypeCommand,
    CreateTestSetDiscrepancyReportCommand,
    CreateUploadUrlCommand,
    DeleteBotCommand,
    DeleteBotAliasCommand,
    DeleteBotLocaleCommand,
    DeleteBotReplicaCommand,
    DeleteBotVersionCommand,
    DeleteCustomVocabularyCommand,
    DeleteExportCommand,
    DeleteImportCommand,
    DeleteIntentCommand,
    DeleteResourcePolicyCommand,
    DeleteResourcePolicyStatementCommand,
    DeleteSlotCommand,
    DeleteSlotTypeCommand,
    DeleteTestSetCommand,
    DeleteUtterancesCommand,
    DescribeBotCommand,
    DescribeBotAliasCommand,
    DescribeBotLocaleCommand,
    DescribeBotRecommendationCommand,
    DescribeBotReplicaCommand,
    DescribeBotResourceGenerationCommand,
    DescribeBotVersionCommand,
    DescribeCustomVocabularyMetadataCommand,
    DescribeExportCommand,
    DescribeImportCommand,
    DescribeIntentCommand,
    DescribeResourcePolicyCommand,
    DescribeSlotCommand,
    DescribeSlotTypeCommand,
    DescribeTestExecutionCommand,
    DescribeTestSetCommand,
    DescribeTestSetDiscrepancyReportCommand,
    DescribeTestSetGenerationCommand,
    GenerateBotElementCommand,
    GetTestExecutionArtifactsUrlCommand,
    ListAggregatedUtterancesCommand,
    ListBotAliasesCommand,
    ListBotAliasReplicasCommand,
    ListBotLocalesCommand,
    ListBotRecommendationsCommand,
    ListBotReplicasCommand,
    ListBotResourceGenerationsCommand,
    ListBotsCommand,
    ListBotVersionReplicasCommand,
    ListBotVersionsCommand,
    ListBuiltInIntentsCommand,
    ListBuiltInSlotTypesCommand,
    ListCustomVocabularyItemsCommand,
    ListExportsCommand,
    ListImportsCommand,
    ListIntentMetricsCommand,
    ListIntentPathsCommand,
    ListIntentsCommand,
    ListIntentStageMetricsCommand,
    ListRecommendedIntentsCommand,
    ListSessionAnalyticsDataCommand,
    ListSessionMetricsCommand,
    ListSlotsCommand,
    ListSlotTypesCommand,
    ListTagsForResourceCommand,
    ListTestExecutionResultItemsCommand,
    ListTestExecutionsCommand,
    ListTestSetRecordsCommand,
    ListTestSetsCommand,
    ListUtteranceAnalyticsDataCommand,
    ListUtteranceMetricsCommand,
    SearchAssociatedTranscriptsCommand,
    StartBotRecommendationCommand,
    StartBotResourceGenerationCommand,
    StartImportCommand,
    StartTestExecutionCommand,
    StartTestSetGenerationCommand,
    StopBotRecommendationCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateBotCommand,
    UpdateBotAliasCommand,
    UpdateBotLocaleCommand,
    UpdateBotRecommendationCommand,
    UpdateExportCommand,
    UpdateIntentCommand,
    UpdateResourcePolicyCommand,
    UpdateSlotCommand,
    UpdateSlotTypeCommand,
    UpdateTestSetCommand,
};
export class LexModelsV2 extends LexModelsV2Client {
}
createAggregatedClient(commands, LexModelsV2);
