import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateExportRequestFilterSensitiveLog } from "../models/models_0";
import { de_CreateExportCommand, se_CreateExportCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateExportCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LexModelBuildingServiceV2", "CreateExport", {})
    .n("LexModelsV2Client", "CreateExportCommand")
    .f(CreateExportRequestFilterSensitiveLog, void 0)
    .ser(se_CreateExportCommand)
    .de(de_CreateExportCommand)
    .build() {
}
